Bug 514549 (lyx-fonts)

Summary: Review Request: lyx-fonts - Math Symbol fonts
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, fonts-bugs, notting, susi.lehtola
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.6.4-1.fc10 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-03 15:34:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 452357    

Description Rex Dieter 2009-07-29 15:53:06 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/lyx-fonts/lyx-fonts.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/lyx-fonts/lyx-fonts-1.0-1.fc11.src.rpm
Description:
A collection of Math symbol fonts.

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1563205

This is a refactoring of the legacy mathml-fonts package, see also bug #452357

Comment 1 Susi Lehtola 2009-07-29 19:22:29 UTC
Uhh... If this is generated from the LyX tarball, why doesn't this go into the same spec file as LyX? I don't see any sense in having more than one spec file generating RPMs from the same tarball.

The license
      The author of these fonts, Basil K. Malyshev, has kindly
      granted permission to use and modify these fonts.
looks dodgy. It says nothing about redistribution. Can we get an opinion from legal?

Comment 2 Rex Dieter 2009-07-29 19:32:19 UTC
spot already audited mathml-fonts from which these fonts originated.

Figured it best to distribute these separately from lyx, to minimize churn.

Comment 3 Susi Lehtola 2009-07-29 21:14:38 UTC
Is it really worth it? IMHO ease of maintenance beats having two separate packages, especially when the additional packages are small:

28K	lyx-cmmi10-fonts-1.0-1.fc11.noarch.rpm
24K	lyx-cmr10-fonts-1.0-1.fc11.noarch.rpm
24K	lyx-cmsy10-fonts-1.0-1.fc11.noarch.rpm
16K	lyx-esint10-fonts-1.0-1.fc11.noarch.rpm
24K	lyx-eufm10-fonts-1.0-1.fc11.noarch.rpm
4.0K	lyx-fonts-common-1.0-1.fc11.noarch.rpm
4.0K	lyx-fonts-compat-1.0-1.fc11.noarch.rpm
20K	lyx-msam10-fonts-1.0-1.fc11.noarch.rpm
28K	lyx-msbm10-fonts-1.0-1.fc11.noarch.rpm
20K	lyx-wasy10-fonts-1.0-1.fc11.noarch.rpm
212K	total

For comparison, lyx-1.6.3-1.fc11.i586.rpm is 11M. And if nothing changes in the contents of the fonts packages, the delta RPMs are almost nonexisting.

Comment 4 Nicolas Mailhot 2009-07-30 06:07:39 UTC
(In reply to comment #3)
> Is it really worth it?

Please don't shoot at people that do much needed cleanups at apply our own official packaging guidelines

> For comparison, lyx-1.6.3-1.fc11.i586.rpm is 11M. And if nothing changes in the
> contents of the fonts packages, the delta RPMs are almost nonexisting. 

fonts are not being split for volume reasons but multiple others that were detailed to FPC when the guidelines were written: technical requirement for the font autoinstall logic to work, explicit legal audit of each font, etc.

If you disagree make your case before FPC and have the guidelines changed but do not complain at people who apply them.

Comment 5 Susi Lehtola 2009-07-30 06:22:59 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Is it really worth it?
> 
> Please don't shoot at people that do much needed cleanups at apply our own
> official packaging guidelines

I was not shooting at people.

I was just discussing whether having an own spec file for a bunch of stuff taken from the tarball is worth it, since usually that is frowned upon. I did *NOT* criticize font packages or the cleanup. Please don't make such hasty accusations.

One should be able to concatenate this spec file to that of lyx and still respect the font packaging guidelines.

If the font packaging spec file macros don't work for this purpose (which IMHO they should to avoid duplicating unnecessary package maintenance work), then there is a solid reason for having this second spec file for the same tarball. Note that the Font Packaging Guidelines _do not_ have a specific policy on this case.
 
> > For comparison, lyx-1.6.3-1.fc11.i586.rpm is 11M. And if nothing changes in the
> > contents of the fonts packages, the delta RPMs are almost nonexisting. 
> 
> fonts are not being split for volume reasons but multiple others that were
> detailed to FPC when the guidelines were written: technical requirement for the
> font autoinstall logic to work, explicit legal audit of each font, etc.
> 
> If you disagree make your case before FPC and have the guidelines changed but
> do not complain at people who apply them.  

I was not asking about this. I was asking whether it's really worth it having a spec for both lyx and lyx-fonts which both operate on the same lyx tarball.

Comment 6 Nicolas Mailhot 2009-07-30 09:17:03 UTC
(In reply to comment #5)

> I was not asking about this. I was asking whether it's really worth it having a
> spec for both lyx and lyx-fonts which both operate on the same lyx tarball.  

Ah, sorry, I misunderstood your message. Usually it's better when upstream separates fonts cleanly in a different tarball, as code and fonts do not have the same licensing constrains or update cycle, but when it does not all solutions have a drawback.

Comment 7 Rex Dieter 2009-07-30 16:34:40 UTC
Passed on request to upstream to distribute fonts separately,
http://www.mail-archive.com/lyx-devel@lists.lyx.org/msg153406.html

Comment 8 Rex Dieter 2009-08-03 15:34:25 UTC
Meh, looks like upstream intentions are to continue bundling the fonts, which makes me think that simply doing all this inside of the existing lyx pkg is preferable.

Closing->NOTABUG

(Unless anyone feels strongly otherwise, speak up!)

Comment 9 Nicolas Mailhot 2009-08-03 16:07:58 UTC
then the changes will be done in lyx pkg? (just asking, I'm multitasking badly while packing for summer vacations)

Comment 10 Rex Dieter 2009-08-03 16:12:24 UTC
Yes, that's my tentative plan at the moment.

Comment 11 Fedora Update System 2009-08-26 19:31:37 UTC
lyx-1.6.4-1.fc11,koffice-1.6.3-24.20090306svn.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lyx-1.6.4-1.fc11,koffice-1.6.3-24.20090306svn.fc11

Comment 12 Fedora Update System 2009-08-26 19:45:57 UTC
lyx-1.6.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lyx-1.6.4-1.fc10

Comment 13 Fedora Update System 2009-09-15 07:52:54 UTC
lyx-1.6.4-1.fc11, koffice-1.6.3-24.20090306svn.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-09-15 07:57:05 UTC
lyx-1.6.4-1.fc10, koffice-1.6.3-24.20090306svn.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.